Fehler beim Ausführen des Ziels org.wildfly.swarm: wildfly-swarm-plugin: 1.0.0.Alpha4: create (Standard) auf Projekt - Wildfly

Meine Pom-Datei sieht wie folgt aus. Was fehlt noch in dieser POM-Datei?

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.bbbb</groupId>
<artifactId>graph</artifactId>
<version>1.0.0</version>
<name>graph</name>

<properties>
<project.build.sourceEncoding>utf-8</project.build.sourceEncoding>
<maven.build.timestamp.format>yyyyMMdd"T"HHmmss</maven.build.timestamp.format>

<maven.compiler.target>1.8</maven.compiler.target>
<maven.compiler.source>1.8</maven.compiler.source>
</properties>


<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.wildfly.swarm</groupId>
<artifactId>wildfly-swarm-jaxrs</artifactId>
<version>1.0.0.Alpha4</version>
</dependency>
</dependencies>
</dependencyManagement>


<build>
<plugins>
<plugin>
<groupId>org.wildfly.swarm</groupId>
<artifactId>wildfly-swarm-plugin</artifactId>
<version>1.0.0.Alpha4</version>
<executions>
<execution>
<goals>
<goal>create</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>


</project>

Antworten:

0 für die Antwort № 1

Das WildFly Swarm-Plugin muss folgendermaßen definiert werden:

<plugins>
<plugin>
<groupId>org.wildfly.swarm</groupId>
<artifactId>wildfly-swarm-plugin</artifactId>
<version>1.0.0.Alpha8</version>
<executions>
<execution>
<goals>
<goal>package</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>

Speisekarte